#!/bin/bash
####################################
#
# Backup minecraft world to a
# specified folder.
#
####################################
set -e
#sudo systemctl stop watchdog >/dev/null
version=3.0
#day_raw=$(date +%A_%d_%m_%y)
#archive_file="minecraft_ubuntu_$day_raw"
archive_file="Minecraft_ubuntu"
output_folder="/Cloud/Backup/Minecraft"

echo -e "\e[95mMinecraft auto-backup version $version\e[0m\n"

function backup_ {
echo "Backup/Compress Files:"
cd ~
if [ -d temp_arc ]
then
rm -r -f temp_arc
fi
mkdir temp_arc
cd temp_arc
cp -r -f ~/Minecraft/world* .
cp -r -f ~/Minecraft/ops.json .
cp -r -f ~/Minecraft/permissions.yml .
cp -r -f ~/Minecraft/server.properties .
cp -r -f ~/Minecraft/usercache.json .
cp -r -f ~/Minecraft/whitelist.json .
tar cf - * --checkpoint=.100 | pixz > $archive_file.tar.xz
echo ""
md5sum $archive_file.tar.xz > $archive_file.md5
cp $archive_file.tar.xz $output_folder
cp $archive_file.md5 $output_folder
}

function Upload_freebox {
echo -e "\n\e[97mUpload on Freebox:\e[0m"
echo "- Mounting Nas -"
sudo mount -t cifs //192.168.1.254/Disque\ dur/  /media/Nas/ -o user=freebox,password=password,uid=1000,gid=1000,rw,vers=1.0
sleep 1
sudo cp -v $archive_file.tar.xz /media/Nas/mc_backup
sudo cp -v $archive_file.md5 /media/Nas/mc_backup
sleep 1
sudo umount /media/Nas
echo "- Unmounting Nas -"
echo ""
}

function Upload_ftp {
echo -e "\e[97mUpload on FTP:\e[0m"
ncftpput -v -u "wareck" -p "Kraken@2611!" ftpperso.free.fr minecraft_bkp/ $archive_file.tar.xz
sleep 1
ncftpput -v -u "wareck" -p "Kraken@2611!" ftpperso.free.fr minecraft_bkp/ $archive_file.md5
sleep 1
}

backup_
Upload_freebox
Upload_ftp
